Apache JMeter

## org.apache.jmeter.protocol.http.modifier
Class UserSequence

    java.lang.Object
      org.apache.jmeter.protocol.http.modifier.UserSequence

All Implemented Interfaces:
  Serializable

    public class UserSequence

extends Object
implements Serializable

This module controls the Sequence in which user details are returned. This module uses round robin allocation of users.

Version:
  $Revision: 810036 $
See Also:
  Serialized Form

Constructor Summary
`UserSequence()`
`UserSequence(List<Map<String,String>> allUsers)` Load all user and parameter data into the sequence module.

Method Summary
`Map<String,String>` `getNextUserMods()` Returns the parameter data for the next user in the sequence

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserSequence

    public UserSequence()

### UserSequence

    public UserSequence(List<Map<String,String>> allUsers)

  Load all user and parameter data into the sequence module.

  ie a Set of Mapped "parameter names and parameter values" for each user to be loaded into the sequencer.

Method Detail

### getNextUserMods

    public Map<String,String> getNextUserMods()

  Returns the parameter data for the next user in the sequence

  Returns:
    a Map object of parameter names and matching parameter values for the next user

Apache JMeter

Copyright © 1998-2010 Apache Software Foundation. All Rights Reserved.